Package Details: psychopy 2020.1.3-3

Git Clone URL: https://aur.archlinux.org/psychopy.git (read-only, click to copy)
Package Base: psychopy
Description: An experiment builder for neuroscience, psychology and psychophysics
Upstream URL: http://www.psychopy.org
Keywords: experiment experiment-control experimental-design linguistics neuroscience psycholinguistics psychology psychophysics psychopy python science
Licenses: GPL3
Submitter: daniel_shub
Maintainer: daniel_shub
Last Packager: daniel_shub
Votes: 4
Popularity: 0.000063
First Submitted: 2015-08-20 20:24
Last Updated: 2020-04-23 02:17

Latest Comments

1 2 Next › Last »

bassam commented on 2020-04-30 16:49

@daniel_shub I had tried to install psychopy using pip a long while ago and was unsuccessful so that might be why psychopy was in that directory. I uninstalled it using pip and the package manager. Rebooted, made sure there were no traces left, and installed it via the package manager and it's starting up fine. I'm getting a different error now when I try to run an experiment but I'll post this problem on the discourse forums. Thanks for you help.

daniel_shub commented on 2020-04-30 14:16

@bassam It looks like psychopy is running from and calling a version of python installed in /home/bassam/.local/. Unless you did something tricky, that is not the packaged version. It looks like there is some issue with gitlab and not being authorized. I do not know if this is because you installed it in .local, there is something broken in your install, or if there is something about your configuration. Regardless, I do not think it is this package that is causing the problem.

bassam commented on 2020-04-30 13:53

@daniel_shub I do get an audio warning but the same warning is there in the windows log.

1.3025  WARNING     We strongly recommend you activate the PTB sound engine in PsychoPy prefs as the preferred audio engine. Its timing is vastly superior. Your prefs are currently set to use ['sounddevice', 'PTB', 'pyo', 'pygame'] (in that order).

There seem to be other errors present however. The full log: https://pastebin.com/LCvUakwC

Unfortunately I'm a novice linux user so I'll need to look into how to create an Arch chroot first.

daniel_shub commented on 2020-04-30 13:19

@bassam I get those messages also, but psychopy works fine for me. Is there anything relevant in the .psychopy3/last_app_load.log? I wonder if it is related to the port audio changes or maybe the X11 setup. I do not have a way to test the package on Manjaro. Can you create a clean Arch chroot and try it in that container?

bassam commented on 2020-04-30 10:47

My psychopy stopped starting a couple of days ago, so I uninstalled/reinstalled it from the package manager in Manjaro. When I type psychopy in terminal the welcome screen almost becomes fully visible, then it disappears and I'm back at the terminal. This is what shows up in the terminal:

06:30:54 AM: Debug: Adding duplicate image handler for 'Windows bitmap file'
06:30:54 AM: Debug: Adding duplicate image handler for 'Windows bitmap file'
06:30:54 AM: Debug: Adding duplicate image handler for 'Windows bitmap file'

Also want to add that I never got it to actually run an experiment file in linux but things are working fine in Windows 10.

Anyway to fix this?

daniel_shub commented on 2020-04-23 02:21

@TheGoliath It now builds in a clean chroot. I deleted the "packaging" directory. I am not sure that is the right thing to do, but the resulting package passes most of the package tests with pytest==4.0.

TheGoliath commented on 2020-04-19 09:11

Traceback (most recent call last): File "setup.py", line 14, in <module> from setuptools import setup, find_packages File "/usr/lib/python3.8/site-packages/setuptools/init.py", line 17, in <module> import setuptools.version File "/usr/lib/python3.8/site-packages/setuptools/version.py", line 1, in <module> import pkg_resources File "/usr/lib/python3.8/site-packages/pkg_resources/init.py", line 82, in <module> import('packaging.version') ModuleNotFoundError: No module named 'packaging.version'

xantares commented on 2020-04-05 14:00

please add the missing python-questplus, python-opencv-python, python-glfw dependencies

daniel_shub commented on 2020-02-09 04:48

The package does not run for me. My guess is questplus needs to be packaged and added as a dependency.

$ psychopy Traceback (most recent call last): File "/usr/bin/psychopy", line 6, in <module> from pkg_resources import load_entry_point File "/usr/lib/python3.8/site-packages/pkg_resources/init.py", line 3252, in <module> def _initialize_master_working_set(): File "/usr/lib/python3.8/site-packages/pkg_resources/init.py", line 3235, in _call_aside f(args, *kwargs) File "/usr/lib/python3.8/site-packages/pkg_resources/init.py", line 3264, in _initialize_master_working_set working_set = WorkingSet._build_master() File "/usr/lib/python3.8/site-packages/pkg_resources/init.py", line 583, in _build_master ws.require(requires) File "/usr/lib/python3.8/site-packages/pkg_resources/init.py", line 900, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python3.8/site-packages/pkg_resources/init.py", line 786, in resolve raise DistributionNotFound(req, requirers) pkg_resources.DistributionNotFound: The 'questplus' distribution was not found and is required by PsychoPy

isacdaavid commented on 2019-07-22 23:44

So I manually installed the missing python-bidi just to find out that psychopy crashes with the following exception:

18:41:04: Debug: Adding duplicate image handler for 'Windows bitmap file'
18:41:04: Debug: Adding duplicate image handler for 'Windows bitmap file'
18:41:04: Debug: Adding duplicate image handler for 'Windows bitmap file'
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/pyglet/__init__.py", line 378, in __getattr__
    return getattr(self._module, name)
AttributeError: 'NoneType' object has no attribute 'get_default'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/psychopy", line 11, in <module>
    load_entry_point('PsychoPy==3.1.2', 'gui_scripts', 'psychopy')()
  File "/usr/lib/python3.7/site-packages/psychopy/app/psychopyApp.py", line 100, in main
    start_app()
  File "/usr/lib/python3.7/site-packages/psychopy/app/psychopyApp.py", line 28, in start_app
    app = PsychoPyApp(0, showSplash=showSplash)
  File "/usr/lib/python3.7/site-packages/psychopy/app/_psychopyApp.py", line 180, in __init__
    self.onInit(testMode=testMode, **kwargs)
  File "/usr/lib/python3.7/site-packages/psychopy/app/_psychopyApp.py", line 321, in onInit
    self.showBuilder(fileList=exps)
  File "/usr/lib/python3.7/site-packages/psychopy/app/_psychopyApp.py", line 505, in showBuilder
    self.newBuilderFrame()
  File "/usr/lib/python3.7/site-packages/psychopy/app/_psychopyApp.py", line 487, in newBuilderFrame
    from .builder.builder import BuilderFrame
  File "/usr/lib/python3.7/site-packages/psychopy/app/builder/builder.py", line 46, in <module>
    from .dialogs import (DlgComponentProperties, DlgExperimentProperties,
  File "/usr/lib/python3.7/site-packages/psychopy/app/builder/dialogs/__init__.py", line 31, in <module>
    from .. validators import NameValidator, CodeSnippetValidator
  File "/usr/lib/python3.7/site-packages/psychopy/app/builder/validators.py", line 27, in <module>
    from pyglet.window import key
  File "/usr/lib/python3.7/site-packages/pyglet/window/__init__.py", line 1788, in <module>
    from pyglet.window.xlib import XlibWindow as Window
  File "/usr/lib/python3.7/site-packages/pyglet/window/xlib/__init__.py", line 54, in <module>
    from pyglet.canvas.xlib import XlibCanvas
  File "/usr/lib/python3.7/site-packages/pyglet/canvas/__init__.py", line 103, in <module>
    from pyglet.canvas.xlib import XlibDisplay as Display
  File "/usr/lib/python3.7/site-packages/pyglet/canvas/xlib.py", line 16, in <module>
    from pyglet.app.xlib import XlibSelectDevice
  File "/usr/lib/python3.7/site-packages/pyglet/app/__init__.py", line 175, in <module>
    event_loop = EventLoop()
  File "/usr/lib/python3.7/site-packages/pyglet/app/base.py", line 119, in __init__
    self.clock = clock.get_default()
  File "/usr/lib/python3.7/site-packages/pyglet/__init__.py", line 384, in __getattr__
    __import__(import_name)
  File "/usr/lib/python3.7/site-packages/pyglet/clock.py", line 169, in <module>
    _c = pyglet.lib.load_library('c')
  File "/usr/lib/python3.7/site-packages/pyglet/lib.py", line 158, in load_library
    raise ImportError('Library "%s" not found.' % names[0])
ImportError: Library "c" not found.
Error in atexit._run_exitfuncs:
wx._core.wxAssertionError: C++ assertion "GetEventHandler() == this" failed at ./src/common/wincmn.cpp(478) in ~wxWindowBase(): any pushed event handlers must have been removed
Erreur de segmentation (core dumped)

I made sure to install everything wxWidgets-related to no avail. Any idea?